{$I-}
program nodebusy;

{
   NodeBusy version 1.0
   An util to activate or deactivate the Maintance flag for the current node.
   Copyright 1994 by Alexander Erne - All rights reserved
}

uses dos,bcshare;

var commandline:byte;

procedure quit;
begin;
   writeln('  Use commandline parameters:');
   writeln;
   writeln('  /BUSY to set the maintanece active for this node');
   writeln('  /FREE to set the maintanece inactive for this node');
   writeln('  /NEW to set the maintanece inactive for all nodes');
   writeln;
   halt;
   end;

procedure writeintro;
var c:byte;
    p:String;
begin;
   commandline:=0;
   writeln;
   writeln('NodeBusy version 1.0 - Copyright 1994 Alexander Erne - All rights reserved');
   writeln('Support via BBS The Tower - 3120-6900028 - Fido 2:280/911');
   writeln;
   if paramcount<>1 then quit;
   p:=paramstr(1);
   for c:=1 to length(p) do p[c]:=upcase(p[c]);
   if p='/BUSY' then commandline:=1;
   if p='/FREE' then commandline:=2;
   if p='/NEW' then commandline:=3;
   if commandline=0 then quit;
   end;

procedure rewritenodes;
type
{$I d:\bbs\sf_rec\sfnode.dat}
{$I d:\bbs\sf_rec\sfwhoson.dat}
var sfnodedat:nodesysrec;
    sfnodefile:file of nodesysrec;
    sfwhosondat:nodesdat;
    sfwhosonfile:file of nodesdat;
    c:byte;
begin;
   if length(fsearch('SFNODE.DAT','.\'))=0 then begin
      writeln;
      writeln('Unable to find SFNODE.DAT! Please run NodeBusy from the Spitfire');
      writeln('home-directory.');
      writeln;
      halt;
      end;
   assign(sfnodefile,'SFNODE.DAT');
   setfilemode(readdenynone);
   reset(sfnodefile);
   read(sfnodefile,sfnodedat);
   close(sfnodefile);
   if length(fsearch('SFWHOSON.DAT',sfnodedat.workpath))=0 then begin
      assign(sfwhosonfile,sfnodedat.workpath+'SFWHOSON.DAT');
      setfilemode(normalmode);
      rewrite(sfwhosonfile);
      commandline:=3;
      end
   else begin
      assign(sfwhosonfile,sfnodedat.workpath+'SFWHOSON.DAT');
      setfilemode(normalmode);
      reset(sfwhosonfile);
      end;
   with sfwhosondat do begin
      userno:=-1;
      mode:=#0;
      for c:=1 to 3 do dbytes[c]:=0;
      end;
   case commandline of
      1:begin;
         seek(sfwhosonfile,sfnodedat.node-1);
         sfwhosondat.mode:='M';
         with filerec(sfwhosonfile) do lockfile(handle,lock,(sfnodedat.node-1)*recsize,recsize);
         write(sfwhosonfile,sfwhosondat);
         with filerec(sfwhosonfile) do lockfile(handle,unlock,(sfnodedat.node-1)*recsize,recsize);
         end;
      2:begin;
         seek(sfwhosonfile,sfnodedat.node-1);
         with filerec(sfwhosonfile) do lockfile(handle,lock,(sfnodedat.node-1)*recsize,recsize);
         write(sfwhosonfile,sfwhosondat);
         with filerec(sfwhosonfile) do lockfile(handle,unlock,(sfnodedat.node-1)*recsize,recsize);
         end;
      3:begin;
         for c:=0 to 255 do begin
           seek(sfwhosonfile,c);
           with filerec(sfwhosonfile) do lockfile(handle,lock,(sfnodedat.node-1)*recsize,recsize);
           write(sfwhosonfile,sfwhosondat);
           with filerec(sfwhosonfile) do lockfile(handle,unlock,(sfnodedat.node-1)*recsize,recsize);
           end;
         end;
      end;
   close(sfwhosonfile);
   end;

begin;
   writeintro;
   rewritenodes;
   end.