REM This batch file created on 08-05-94 by Mark Urban, SysOp Zeppelin BBS
REM This batch file sends/receives/processes SFnet QWK mail packets.
REM I've set this up to check the incoming and outgoing mail packets are
REM sent and received without errors.  I use Telemate v4.12 as my comm
REM program.  The script files CALLEXP.SCR, CALLIMP.SCR and SFNET.SCR are
REM used to send and receive the QWK packets from my mail hub.  This batch
REM file is run from BinkleyTerm mailer as a scheduled event.
REM I run a Cyrix DLC 486/33, MS DOS 5.0, QEMM v6.x.
REM Hope this mess make sense to you as it just barely does to me. <G>

@echo off

:PROCESS
REM Check and see if last reply packet went out, if not resend.
D:
CD\SHILOH
IF EXIST A0605000.REP GOTO CALLEXP
GOTO EXPORT

:CALLEXP
REM If outgoing QWK mail packet didn't go out, try again
CD\TM
TM CALLEXP
REM check and see if reply packet sent, if not resend
IF ERRORLEVEL 1 GOTO CALLEXP
CD\SHILOH
GOTO EXPORT

:EXPORT
REM Export new mail from SF
SHILOEXP A0605000
COPY A0605000.REP D:\SHILOH\BACKUP
CD\TM
TM SFNET
REM Check and see if inbound mail was received, if not try again
IF ERRORLEVEL 1 GOTO CALLIMP
GOTO IMPORT

:IMPORT
REM Import QWK mail packet
CD\SHILOH
COPY A0605000.QWK D:\SHILOH\BACKUP
SHILOIMP A0605000.QWK
COPY SHILOH.LOG D:\SHILOH\BACKUP
DEL A0605000.QWK
COPY SHILOH.LOG D:\SHILOH\BACKUP
DEL SHILOH.LOG
GOTO END

:CALLIMP
REM If QWK mail packet was not properly received, try again
CD\TM
TM CALLIMP
IF ERRORLEVEL 1 GOTO CALLIMP
GOTO IMPORT

:END
CD\BINKLEY
